package me.km.effects.passive;

import me.km.KajetansMod;
import me.km.api.Module;
import me.km.api.ModuleListener;
import me.km.effects.Effect;
import me.km.effects.EffectUtils;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.inventory.ContainerRepair;
import net.minecraftforge.event.entity.player.PlayerContainerEvent;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;

public class Anvil extends ModuleListener
{
    public Anvil(Module m)
    {
        super(m);
    }
    
    @SubscribeEvent
    public void inAnvilMenuClick(PlayerContainerEvent.Open e)
    { 
        if(e.getContainer() instanceof ContainerRepair)
        {
            EntityPlayer p = e.getEntityPlayer();
            if(KajetansMod.worldManager.getWorldPreferences(p.world).skills &&
                EffectUtils.getEffectLevel(p, Effect.SMITH) < 1)
            {
                p.closeScreen();
            }
        }
    }
}
