package me.km.effects.passive;

import java.util.Collection;
import me.kt.KajetansTools;
import me.kt.api.Module;
import me.kt.api.ModuleListener;
import me.kt.api.Utils;
import me.kt.effects.Effect;
import me.kt.effects.EffectUtils;
import org.bukkit.Location;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.inventory.BrewEvent;

public class Brewing extends ModuleListener
{
    public Brewing(Module m) 
    {
        super(m);
    }
    
    @EventHandler
    public void Brewing(BrewEvent e)
    {  
        Location l = e.getBlock().getLocation();
        if(!KajetansTools.worldManager.getWorldPreferences(l.getWorld()).skills)
        {
            return;
        }
        e.setCancelled(true);
        Collection<Player> players = Utils.getNearbyEntities(l, 4, Player.class);
        if(!players.isEmpty())
        {
            for(Player p : players)
            {
                if(EffectUtils.getEffectLevel(p, Effect.BREWING) >= 1)
                {
                    e.setCancelled(false);
                    return;
                }
            }
        }
    } 
}
