package me.km.effects.passive;

import me.kt.KajetansTools;
import me.kt.api.Module;
import me.kt.api.ModuleListener;
import me.kt.effects.Effect;
import me.kt.effects.EffectUtils;
import org.bukkit.Location;
import org.bukkit.World;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.entity.PlayerDeathEvent;
import org.bukkit.inventory.PlayerInventory;

public class LessItemLoss extends ModuleListener
{
    public LessItemLoss(Module m) 
    {
        super(m);
    }
    
    @EventHandler
    public void onDeathEvent(PlayerDeathEvent e)
    {  
        Player p = e.getEntity();
        if(!e.getKeepInventory() && KajetansTools.worldManager.getWorldPreferences(p.getWorld()).skills)
        {
            int level = EffectUtils.getEffectLevel(p, Effect.LESS_ITEM_LOSS);
            if(level > 0)
            {
                e.setKeepInventory(true);
                PlayerInventory pinv = p.getInventory();
                World w = p.getWorld();
                Location l = p.getLocation();
                for(int i = level; i < 36; i++)
                {
                    if(pinv.getItem(i) != null)
                    {
                        w.dropItem(l, pinv.getItem(i));
                        pinv.clear(i);
                    }
                }
            }
        }  
    } 
}
