package me.km.effects.passive;

import me.kt.KajetansTools;
import me.kt.api.Module;
import me.kt.api.ModuleListener;
import me.kt.api.Utils;
import me.kt.effects.Effect;
import me.kt.effects.EffectUtils;
import me.kt.skills.Skill;
import org.bukkit.entity.EntityType;
import org.bukkit.entity.Player;
import org.bukkit.entity.Projectile;
import org.bukkit.event.EventHandler;
import org.bukkit.event.entity.ProjectileLaunchEvent;
import org.bukkit.inventory.ItemStack;

public class PotionShooting extends ModuleListener
{
    public PotionShooting(Module m) 
    {
        super(m);
    }
    
    @EventHandler
    public void PotionUse(ProjectileLaunchEvent e)
    {       
        Projectile pro = e.getEntity();
        if((pro.getType() == EntityType.SPLASH_POTION ||
            pro.getType() == EntityType.LINGERING_POTION) &&
            pro.getShooter() instanceof Player &&
            KajetansTools.worldManager.getWorldPreferences(pro.getWorld()).skills)
        {
            Player p = (Player) pro.getShooter();
            int saver = EffectUtils.getEffectLevel(p, Effect.POTION_SAVER);
            if(saver >= 1 && saver >= Utils.randomInt(1, 5))
            {
                ItemStack item = p.getInventory().getItemInMainHand();
                item.setAmount(item.getAmount() + 1);
                p.getInventory().setItemInMainHand(item);
            }
        }  
    }
}
