package me.km.effects.passive;

import me.kt.KajetansTools;
import me.kt.api.Module;
import me.kt.api.ModuleListener;
import me.kt.effects.Effect;
import me.kt.effects.EffectUtils;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.player.PlayerInteractEntityEvent;

public class Breeding extends ModuleListener
{
    public Breeding(Module m) 
    {
        super(m);
    }
    
    @EventHandler(ignoreCancelled = true)
    public void onEntityBreed(PlayerInteractEntityEvent e)    
    {              
        Player p = (Player) e.getPlayer();  
        if(!KajetansTools.worldManager.getWorldPreferences(p.getWorld()).skills)
        {
            return;
        }
        switch(e.getRightClicked().getType())
        {
            case COW:
                if(EffectUtils.getEffectLevel(p, Effect.BREED_COW) < 1)
                {
                    e.setCancelled(true);
                }
                break;
            case PIG:
                if(EffectUtils.getEffectLevel(p, Effect.BREED_PIG) < 1)
                {
                    e.setCancelled(true);
                }
                break;
            case SHEEP:
                if(EffectUtils.getEffectLevel(p, Effect.BREED_SHEEP) < 1)
                {
                    e.setCancelled(true);
                }
                break;
            case RABBIT:
                if(EffectUtils.getEffectLevel(p, Effect.BREED_RABBIT) < 1)
                {
                    e.setCancelled(true);
                }
                break;
            case CHICKEN:
                if(EffectUtils.getEffectLevel(p, Effect.BREED_CHICKEN) < 1)
                {
                    e.setCancelled(true);
                }
                break;
            case HORSE:
                if(EffectUtils.getEffectLevel(p, Effect.BREED_HORSE) < 1)
                {
                    switch(p.getInventory().getItemInMainHand().getType())
                    {
                        case GOLDEN_APPLE:
                        case GOLDEN_CARROT:
                            e.setCancelled(true);
                            break;
                    }
                }
                break;
            case MUSHROOM_COW:
                if(EffectUtils.getEffectLevel(p, Effect.BREED_MUSHROOMCOW) < 1)
                {
                    e.setCancelled(true);
                }
                break;
        }
    }
}
