package me.km.effects.passive;

import me.kt.KajetansTools;
import me.kt.api.Module;
import me.kt.api.ModuleListener;
import me.kt.api.Utils;
import me.kt.effects.Effect;
import me.kt.effects.EffectUtils;
import org.bukkit.Material;
import org.bukkit.block.Block;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.player.PlayerInteractEvent;
import org.bukkit.inventory.EquipmentSlot;

public class CakeEating extends ModuleListener
{
    public CakeEating(Module m) 
    {
        super(m);
    }
    
    @EventHandler(ignoreCancelled = true)
    public void eatCake(PlayerInteractEvent e)
    {
        if(!KajetansTools.worldManager.getWorldPreferences(e.getPlayer().getWorld()).skills)
        {
            return;
        }
        Block b = e.getClickedBlock();
        if(b == null || b.getType() != Material.CAKE_BLOCK || e.getHand() == EquipmentSlot.OFF_HAND)
        {
            return;
        }    
        Player p = e.getPlayer();
        if(p.getFoodLevel() >= 20)
        {                             
            return;
        }
        if(EffectUtils.getEffectLevel(p, Effect.CAKE_POWER) >= Utils.randomInt(1, 5))
        {           
            e.setCancelled(true);
            p.setFoodLevel(p.getFoodLevel() + 2);
            p.setSaturation(p.getSaturation() + (float) 0.4);
        }        
    }
}
