package me.km.effects.passive;

import me.kt.KajetansTools;
import me.kt.api.Module;
import me.kt.api.ModuleListener;
import me.kt.effects.Effect;
import me.kt.effects.EffectUtils;
import me.kt.skills.Skill;
import org.bukkit.Material;
import org.bukkit.block.Block;
import org.bukkit.block.BlockState;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.player.PlayerInteractEvent;
import org.bukkit.inventory.ItemStack;
import org.bukkit.material.Cauldron;

public class CauldronFilling extends ModuleListener
{
    public CauldronFilling(Module m) 
    {
        super(m);
    }
    
    @EventHandler
    public void useCauldron(PlayerInteractEvent e)
    {
        Block b = e.getClickedBlock();
        if(b == null || b.getType() != Material.CAULDRON || !KajetansTools.worldManager.getWorldPreferences(b.getWorld()).skills)
        {
            return;
        }    
        Player p = e.getPlayer();
        if(EffectUtils.getEffectLevel(p, Effect.CAULDRON_FILLING) < 1)
        {
            return;
        }
        BlockState state = b.getState();
        Cauldron cauldron = (Cauldron) state.getData();   
        if(cauldron.isEmpty());
        {
            ItemStack stack = new ItemStack(Material.CAULDRON, 1, (byte) 3);
            state.setData(stack.getData());
            state.update();
        }
    }
}
