package me.km.effects.passive;

import me.kt.KajetansTools;
import me.kt.api.Module;
import me.kt.api.ModuleListener;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.inventory.PrepareItemCraftEvent;
import org.bukkit.inventory.CraftingInventory;
import org.bukkit.inventory.ItemStack;

public class Crafting extends ModuleListener
{
    public Crafting(Module m) 
    {
        super(m);
    }
    
    @EventHandler
    public void PreCrafting(PrepareItemCraftEvent e)
    {  
        CraftingInventory inv = e.getInventory();
        if(inv.getResult() != null && 
            e.getViewers().size() >= 1 &&
            e.getViewers().get(0) instanceof Player &&
            !KajetansTools.worldManager.getWorldPreferences(e.getInventory().getLocation().getWorld()).defaultProducing &&
            !KajetansTools.jobs.hasRecipe((Player) e.getViewers().get(0), inv.getResult().getType()))
        {
            inv.setResult(new ItemStack(Material.AIR));
        }  
    } 
}
