package me.km.effects.passive;

import java.util.Collection;
import me.kt.KajetansTools;
import me.kt.api.Module;
import me.kt.api.ModuleListener;
import me.kt.api.Utils;
import me.kt.effects.Effect;
import me.kt.effects.EffectUtils;
import org.bukkit.Location;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.inventory.FurnaceSmeltEvent;

public class Smelting extends ModuleListener
{
    public Smelting(Module m) 
    {
        super(m);
    }
    
    @EventHandler
    public void Furnace(FurnaceSmeltEvent e)
    {  
        Location l = e.getBlock().getLocation();
        if(KajetansTools.worldManager.getWorldPreferences(l.getWorld()).defaultProducing)
        {
            return;
        }
        e.setCancelled(true);
        Collection<Player> players = Utils.getNearbyEntities(l, 3, Player.class);
        if(players.isEmpty())
        {
            return;
        }
        final Material result = e.getResult().getType();
        if(players.stream().anyMatch(p -> 
                EffectUtils.getEffectLevel(p, Effect.SMELTING) >= 1 &&
                KajetansTools.jobs.hasRecipe(p, result)))
        {
            e.setCancelled(false);
        }
    } 
}
